org.apache.hc.client5.http.nio

## Interface AsyncClientConnectionOperator

-     @Contract(threading=STATELESS)
       @Internal
      public interface AsyncClientConnectionOperator

  Connection operator that performs connection connect and upgrade operations.
  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<ManagedAsyncClientConnection>` | `connect(ConnectionInitiator connectionInitiator, HttpHost host, SocketAddress localAddress, Timeout connectTimeout, Object attachment, FutureCallback<ManagedAsyncClientConnection> callback)` Initiates operation to create a connection to the remote endpoint using the provided `ConnectionInitiator`.
    `default Future<ManagedAsyncClientConnection>` | `connect(ConnectionInitiator connectionInitiator, HttpHost host, SocketAddress localAddress, Timeout connectTimeout, Object attachment, HttpContext context, FutureCallback<ManagedAsyncClientConnection> callback)` Initiates operation to create a connection to the remote endpoint using the provided `ConnectionInitiator`.
    `void` | `upgrade(ManagedAsyncClientConnection conn, HttpHost host, Object attachment)` Upgrades transport security of the given managed connection by using the TLS security protocol.
    `default void` | `upgrade(ManagedAsyncClientConnection conn, HttpHost host, Object attachment, HttpContext context)` Upgrades transport security of the given managed connection by using the TLS security protocol.
    `default void` | `upgrade(ManagedAsyncClientConnection conn, HttpHost host, Object attachment, HttpContext context, FutureCallback<ManagedAsyncClientConnection> callback)` Upgrades transport security of the given managed connection by using the TLS security protocol.

- - ### Method Detail

    - #### connect

          Future<ManagedAsyncClientConnection> connect(ConnectionInitiator connectionInitiator,
                                                       HttpHost host,
                                                       SocketAddress localAddress,
                                                       Timeout connectTimeout,
                                                       Object attachment,
                                                       FutureCallback<ManagedAsyncClientConnection> callback)

      Initiates operation to create a connection to the remote endpoint using the provided `ConnectionInitiator`.
      Parameters:
        `connectionInitiator` - the connection initiator.
        `host` - the address of the opposite endpoint.
        `localAddress` - the address of the local endpoint.
        `connectTimeout` - the timeout of the connect operation.
        `attachment` - the attachment, which can be any object representing custom parameter of the operation.
        `callback` - the future result callback.

    - #### connect

          default Future<ManagedAsyncClientConnection> connect(ConnectionInitiator connectionInitiator,
                                                               HttpHost host,
                                                               SocketAddress localAddress,
                                                               Timeout connectTimeout,
                                                               Object attachment,
                                                               HttpContext context,
                                                               FutureCallback<ManagedAsyncClientConnection> callback)

      Initiates operation to create a connection to the remote endpoint using the provided `ConnectionInitiator`.
      Parameters:
        `connectionInitiator` - the connection initiator.
        `host` - the address of the opposite endpoint.
        `localAddress` - the address of the local endpoint.
        `connectTimeout` - the timeout of the connect operation.
        `attachment` - the attachment, which can be any object representing custom parameter of the operation.
        `context` - the execution context.
        `callback` - the future result callback.
      Since:
        5.2

    - #### upgrade

          void upgrade(ManagedAsyncClientConnection conn,
                       HttpHost host,
                       Object attachment)

      Upgrades transport security of the given managed connection by using the TLS security protocol.
      Parameters:
        `conn` - the managed connection.
        `host` - the address of the opposite endpoint with TLS security.
        `attachment` - the attachment, which can be any object representing custom parameter of the operation.

    - #### upgrade

          default void upgrade(ManagedAsyncClientConnection conn,
                               HttpHost host,
                               Object attachment,
                               HttpContext context,
                               FutureCallback<ManagedAsyncClientConnection> callback)

      Upgrades transport security of the given managed connection by using the TLS security protocol.
      Parameters:
        `conn` - the managed connection.
        `host` - the address of the opposite endpoint with TLS security.
        `attachment` - the attachment, which can be any object representing custom parameter of the operation.
        `context` - the execution context.
        `callback` - the future result callback.
      Since:
        5.2

    - #### upgrade

          default void upgrade(ManagedAsyncClientConnection conn,
                               HttpHost host,
                               Object attachment,
                               HttpContext context)

      Upgrades transport security of the given managed connection by using the TLS security protocol.
      Parameters:
        `conn` - the managed connection.
        `host` - the address of the opposite endpoint with TLS security.
        `attachment` - the attachment, which can be any object representing custom parameter of the operation.
        `context` - the execution context.
      Since:
        5.2

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.